      subroutine trxpl_mkgs2_summ(lunt,zlbl)
c
      use trxpl_gs2_module
      implicit NONE
c
c  write summary of plasma species
c
      integer, intent(in) :: lunt       ! where to write
      character*(*), intent(in) :: zlbl ! what to write for Z & A
c
c  zlbl is used with aggregate species where Z & A are profiles.
c
c----------------------------------------
      integer i
c----------------------------------------
c
         write(lunt,*) ' '
         write(lunt,1001)
 1001    format(
     >   ' #    label                           Z      ',
     >      'A/mref  Tsmooth Nsmooth'/
     >   ' ---  ------------------------------ ------- ',
     >      '------- ------- -------')
         do i=1,num_species
            if(id_zprof(i).eq.0) then
               write(lunt,1002) i, slabel(i),Zplas(i),Aplas(i),
     >            tsmoo(i),nsmoo(i)
 1002          format(1x,i3,'. ',a30,1x,f7.4,1x,f7.4,2(3x,l1,4x))
            else
               write(lunt,1012) i, slabel(i),zlbl,
     >            tsmoo(i),nsmoo(i)
 1012          format(1x,i3,'. ',a30,1x,a15,2(3x,l1,4x))
            endif
         enddo
c
         return
         end
